<?php
require_once '/opt/symfony/1.2.9/lib/autoload/sfCoreAutoload.class.php';

sfCoreAutoload::register();

class ProjectConfiguration extends sfProjectConfiguration
{
  public function setup()
	{
	  	$this->enableAllPluginsExcept(array('sfPropelPlugin', 'sfCompat10Plugin', 'iriSonyenginePlugin', 'uvmcSolrSearchPlugin'));
	}

  public function configureDoctrineConnection(Doctrine_Connection $conn) {
    if (sfContext::hasInstance()) {
      $conn->addRecordListener(new ThdDoctrineListener());
    }
  }
}
